## net.sf.colorer
Class ParserFactory

    java.lang.Object
      net.sf.colorer.ParserFactory

    public class ParserFactory

extends java.lang.Object

Constructor Summary
`ParserFactory()`
`ParserFactory(java.lang.String catalogPath)`

Method Summary
`RegionMapper` `createStyledMapper(java.lang.String classID, java.lang.String nameID)`
`RegionMapper` `createTextMapper(java.lang.String classID, java.lang.String nameID)`
`TextParser` `createTextParser()`
`void` `dispose()`
`java.util.Enumeration` `enumerateHRDClasses()`
`java.util.Enumeration` `enumerateHRDInstances(java.lang.String classID)`
`protected void` `finalize()`
`HRCParser` `getHRCParser()`
`java.lang.String` `getHRDescription(java.lang.String classID, java.lang.String nameID)`
`java.lang.String` `getVersion()`
`boolean` `isDisposed()`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParserFactory

    public ParserFactory(java.lang.String catalogPath)

### ParserFactory

    public ParserFactory()

Method Detail

### isDisposed

    public boolean isDisposed()

### dispose

    public void dispose()

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.Throwable`

### getVersion

    public java.lang.String getVersion()

### enumerateHRDClasses

    public java.util.Enumeration enumerateHRDClasses()

### enumerateHRDInstances

    public java.util.Enumeration enumerateHRDInstances(java.lang.String classID)

### getHRDescription

    public java.lang.String getHRDescription(java.lang.String classID,
                                             java.lang.String nameID)

### getHRCParser

    public HRCParser getHRCParser()

### createTextParser

    public TextParser createTextParser()

### createStyledMapper

    public RegionMapper createStyledMapper(java.lang.String classID,
                                           java.lang.String nameID)
                                    throws ParserFactoryException

  Throws:
    `ParserFactoryException`

### createTextMapper

    public RegionMapper createTextMapper(java.lang.String classID,
                                         java.lang.String nameID)
                                  throws ParserFactoryException

  Throws:
    `ParserFactoryException`

Copyright © 2003 Cail Lomecb. All Rights Reserved.